'''
Configuration file
'''

'''
Choose paths for corpus, dataset and output.
- The output directory should be empty when starting absinth.
'''
corpus = "/proj/absinth/wikipedia_reduced/"
dataset = "../WSI-Evaluator/datasets/MORESQUE/"
output = "../output/"

'''
Choose stop words and allowed pos-tags.
- Stop words will not be considered for nodes.
- Only tokens with allowed pos-tags will be considered.
'''
stop_words = ['utc', "'s", 'new', 'other', 'talk', 'wikipedia', 'article', 'topic', 'page', 'editors', 'encyclopedia', 'free']
allowed_tags=['NN','NNS','JJ','JJS','JJR','NNP','VBZ','VBG']

'''
Choose the maximum number of nodes and edges that should be considered before building the graph.
'''
max_nodes = 100000
max_edges = 10000000

'''
Choose the minimum context size.
'''
min_context_size = 4

'''
Choose filters for building the graph.
- Only considers occurrences/cooccurrences for nodes/edges, that occur more often than these values.
- Only considers edges with a weight beneath the maximum weight
'''
min_node_freq = 10
min_edge_freq = 5
max_weight = 0.9

'''
Choose minimum number of neighbors and maximum median weight of the most frequent neighbors of a node for root hubs.
- the threshold is calculated using the media of the same number of neighbors declared in min_neighbors.
'''
min_neighbors = 6
theshold = 0.8
